
10 REM  TESLA COIL HELPER by Jerry Gore   April 15, 1994
20 REM  				
40 REM  This program was written to help you with Tesla Coil related
50 REM  equations. I hope it's what your looking for!
60 REM     							
90 REM  I wrote this program as GENERIC as possible so as to be compatible
95 REM  with all types of BASIC. I think you will find it striaght forward
97 REM  and easy to read and use. Have fun!
																
100 cls                          		
101 print"                     -=<* TESLA COIL HELPER *>=-"
102 print
110 print"(1) Needed Capacitance and Inductance of a Tesla Coil"
120 print"    given the Transformer Output and Secondary Coil Frequency"
130 print
140 print"(2) Capacitance of a Plate Type Capacitor"
150 print     						
160 print"(3) Capacitance of a Jar/Bottle Type Capacitor"
180 print    			 							
190 print"(4) Length of Wire Needed for the Desired Frequency of a ";
200 print"Secondary Coil"
210 print               				
220 print"(5) Frequency of a Secondary Coil that is already built"
230 print
240 print"(6) Inductance of a Flat Spiral Pancake Primary Coil"
250 print
260 print"(7) Number of Turns needed for a Helical Primary Coil"
270 print"    given the Desired Inductance, Height, Radius"				
280 print
290 print"(8) Frequency of a Circuit given the Inductance and Capacitance"
310 print		
315 print"(9) Quit Program"
317 print
320 input"Choice ";Choice
330 if Choice = 1 then 500
340 if Choice = 2 then 700	
350 if Choice = 3 then 800
360 if Choice = 4 then 950
370 if Choice = 5 then 1000
380 if Choice = 6 then 2000
390 if Choice = 7 then 3000
400 if Choice = 8 then 4000
410 if choice < 9 then 100
420 cls
440 end				
										          								          	
500  REM Program to find the needed Capacitance and Inductance of a Tesla Coil
505 cls
510 print"Output of your Neon Sign Transformer"
515 print"------------------------------------
520 input"Voltage >",E 		
525 input"Current in milliamps >",I
530 print 																			
535 print
540 print"Frequency of your Secondary Coil"
545 print"--------------------------------              	
550 print"To convert Kilohertz to Megahertz divide by 1000 by moving
555 print"decimal place 3 spaces to the left, 190 Khz = .190 Mhz"
560 input"Frequency in Megahertz >",F															
565 print						   						
570 print	
575 pi = 3.141592654
580 I = I/1000		
585 Z = E/I   			
590 C = 1/(2 * pi * Z * .00006)
595 XC = 1/(2 * pi * C * F)      		
600 XL = XC     							
605 L = XL/(2 * pi * F )
610 print"Values needed for your Tesla Coil:"
615 print "---------------------------------"  				
620 print using"Primary Capacitor in microfarads = ####.##################";C
625 print using"Primary Coil in microhenries = ####.####################";L
630 print					
635 input"Do another (Y/N) ",A$
640 if A$="Y" or A$="y" then 500
645 goto 100						
						
700 REM Find the Capacitance of a plate type capacitor in microfarads
705 cls
710 print"Enter the Following data about your capacitor:"
715 print"----------------------------------------------"
720 input"Dielectric constant of insulator,'K' = ";K	
725 input"Area in inches for each metal plate = ";A
730 input"Distance in inches between metal plates = ";D
735 input"Number of metal plates (Must be an even number) = ";N
740 print
745 print 					            		
750 C = ( 0.224 * K * A / D) * (N-1)     	
755 print using"Capacitance in picofarads  = #######.#############";C
760 C = C/1000000 				
765 print using"Capacitance in microfarads = #######.#############";C
770 print      					
775 print  		
780 input"Do another (Y/N) ";Y$
785 if Y$="Y" or Y$="y" then 700
790 goto 100        		

800 REM Find the capacitance of a Leyden Jar or Salt Water type capacitor
805 cls
810 print"Enter the following data about your capacitor:"
815 print"----------------------------------------------"
820 input"Dielectric constant of insulator,'K' = ";K
825 input"Jar radius in inches (Center axis to edge)= ";R
830 input"Height of the Jar portion used in inches = ";L
835 input"Thickness of the jar wall in inches = ";T
840 input"How many jars will be added in parallel ";N
845 print    					
850 print
855 pi = 3.141592654
860 R=R*2.5406
865 L=L*2.5406
870 T=T*2.5406                                    	
875 C = .0884 * K * (pi * R * R	+ 2*pi * R * L) / 1000000 * T			
880 print"Capacitance in microfarads:"
885 print"--------------------------"
890 print using"Each jar = ####.##########";C
895 C = C * N
900 print using"Added together = #####.#############";C
905 print
910 print                   	
915 input"Do another (Y/N) ";A$
920 if A$="Y" or A$="y" then 800
925 goto 100	
	
950 REM Length of wire needed for desired frequency of coil.
955 cls
960 print"To convert Megahertz to Kilohertz multiply by 1000 by moving"
965 print"the decimal place three spaces to the right. .190 Mhz = 190 Khz"
970 print
985 input"Desired Frequency of your Secondary Coil in Kilohertz";F
990 print     						                          	
991 print                    				
992 W = 300000 / F / 4 * (3 / .9144)
993 print using"Feet of wire needed = ########.##########";W
994 print
995 print
996 input"Do another (Y/N) ";A$
997 if A$="Y" or A$="y" then 950
998 goto 100	

1000 REM  Find the Frequency of a Secondary Coil
1100 cls   		
1120 input"Number of turns per inch ";N
1130 input"Height of the Coil in inches ";H
1140 input"Width of the coil in inches ";W
1150 print
1160 print
1170 pi = 3.141592654
1180 T = N * H
1190 F = 300000 / (T * W * pi * (.9144/36) * 4)
1200 print using"Frequency in Kilohertz = #######.##########";F
1210 F=F/1000
1220 print using"Frequency in Megahertz = #######.##########";F
1230 print
1240 print
1250 input"Do another (Y/N) ";A$
1260 if A$="Y" or A$="y" then 1000
1270 goto 100			

2000 REM Find the Inductance of a Flat Pancake Coil
2100 cls                     	
2110 print"              Center Axis                           "
2120 print"              |                                     "
2130 print"              |                                     "
2140 print" | | | | |    |    | | | | |   <---Cross Section of "
2150 print"              |                    flat spiral coil."
2160 print"      |---A---|    |----W----|                      "
2170 print               				
2180 print    				           					
2181 print
2182 print
2190 input"Radius in inches from Center Axis to middle of winding,'A' ";A
2200 input"Width in inches of the coil,'W' ";W
2210 input"Number of turns in coil ";N
2220 L = (a*a * n*n)/(8*a + 11*w)
2230 print using"Inductance in microhenries = #######.############";L
2240 print
2250 print
2260 input"Do another (Y/N) ";A$
2270 if A$="Y" or A$="y" then 2000
2280 goto 100					

3000 REM Find number of turns needed for a Helical Coil
3100 cls
3110 input"Desired Inductance in mircohenries " ;L
3120 input"Radius in inches ";R
3130 input"Height of coil in inches ";H
3140 print
3150 print 													
3160 N =  sqr( (L * (9*R + 10*H) ) / (R*R) )
3170 print using"Number of turns needed = #####.####";N
3180 print
3190 print
3200 input"Do another (Y/N) ";A$
3210 if A$="Y" or A$="y" then 3000
3220 goto 100          				

4000 REM Find the Frequency of a circuit
4100 cls
4110 input"Circuit inductance in microheneries";L
4120 input"Circuit capacitance in microfarads";C
4121 print
4122 print
4130 pi=3.141592654       			
4131 L=L/1000000
4132 C=C/1000000
4140 F = 1/(2*pi*sqr(L*C))
4150 print using"Frequency in Hertz      #######.############";F
4151 F=F/1000 					
4160 print using"Frequency in Kilohertz  #######.############";F
4161 F=F/1000
4170 print using"Frequency in Megahertz  #######.############";F
4180 print
4190 print
4200 input"Do another (Y/N) ";A$
4210 if A$="Y" or A$="y" then 4000
4220 goto 100
				
				

